Create ExternalWallet

POSThttps://bank.dattaremit.com/api/external_wallets

Requires a bank-scoped key.

Create an ExternalWallet.

## Wallet creation

External Wallets can be created for a Bank or a Customer.

To create a wallet for your Bank, omit the customer_guid parameter in the request body. To create a wallet for your Customers, include the customer_guid parameter in the request body.

## State

StateDescription
storingThe Platform is storing the external wallet details in our private store
pendingThe Platform is waiting for the external wallet to be created
reviewingThe Platform is reviewing the external wallet for compliance
completedThe Platform has created the external wallet
failedThe Platform was not able to successfully create the external wallet
deletingThe Platform is deleting the external wallet
deletedThe Platform has deleted the external wallet

## Failure Codes

CodeDescription
invalid_addressThe provided wallet address is invalid
prohibited_addressThe provided wallet address failed screening

External wallets can be added to the bank by leaving the customer_guid blank. External wallets added to the bank can be used by any customer of the bank.

External wallets can also be added to a specific customer by providing the customer_guid. External wallets added to a customer can only be used by that customer.

Required scope: external_wallets:execute

Body Params

required
namestringrequired

Name of the external wallet.

customer_guidstring

The customer identifier.

counterparty_guidstring

The counterparty identifier.

assetstringrequired

The asset code.

addressstringrequired

The blockchain wallet address for the wallet.

tagstring

The blockchain tag to use when transferring crypto to the wallet.

expected_behavioursstring[]

The optional expected behaviour to simulate. Only applicable wallets under sandbox banks.

Responses

201

ExternalWallet created

400

Bad Request

401

Unauthorized - Authentication failed

403

Invalid scope

409

Data already exists

422

Unprocessable Content

Request

curl https://api.dattaremit.com/api/external_wallets \
  -X POST \
  -H "Authorization: Bearer sk_test_YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "asset": "string",
  "address": "string",
  "customer_guid": "string",
  "counterparty_guid": "string",
  "tag": "string",
  "expected_behaviours": [
    "force_review"
  ]
}'

Response

ExternalWallet created

{
  "guid": "string",
  "name": "string",
  "asset": "string",
  "environment": "string",
  "bank_guid": "string",
  "customer_guid": "string",
  "counterparty_guid": "string",
  "address": "string",
  "tag": "string",
  "created_at": "2026-07-20T16:27:51.438Z",
  "updated_at": "2026-07-20T16:27:51.438Z",
  "state": "string",
  "failure_code": "string"
}